> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization

> Create a new organization in this enterprise

Requires an enterprise admin personal API key.

Create a new organization within your enterprise with optional ACU limits.


## OpenAPI

````yaml /v2-openapi.yaml POST /v2/enterprise/organizations
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations:
    post:
      tags:
        - organizations
      summary: Create Enterprise Organization Endpoint
      description: Create a new organization in this enterprise
      operationId: create_enterprise_organization_endpoint_v2_enterprise_organizations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnterpriseOrgCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    EnterpriseOrgCreate:
      properties:
        acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Acu Limit
        add_creator_as_member:
          default: true
          title: Add Creator As Member
          type: boolean
        display_name:
          title: Display Name
          type: string
      required:
        - display_name
      title: EnterpriseOrgCreate
      type: object
    OrganizationResponse:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        max_cycle_acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acu Limit
        max_session_acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Session Acu Limit
        org_admin_count:
          default: 0
          title: Org Admin Count
          type: integer
        org_id:
          title: Org Id
          type: string
        org_member_count:
          default: 0
          title: Org Member Count
          type: integer
        org_name:
          title: Org Name
          type: string
        org_user_count:
          default: 0
          title: Org User Count
          type: integer
      required:
        - org_id
        - org_name
        - created_at
      title: OrganizationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````